cURL
curl 'https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH'
import requests
response = requests.get("https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"8Y7ApemW5UHzczZNYHW3tU4yZZjML8ho87i1dnf7kvw7": {
"pt": {
"orderbook_open": "0",
"orderbook_filled": "102713",
"last_updated_at": "2026-10-14T15:10:13.725+00:00",
"last_orderbook_tx_signature": "2TSF6o2w8z6DkdKovB9zdpw5nvexL6jiTWyXsagX3EjVgsZ8YwEopjrrZ8n5SzHbFiREr7h8nmRCt7WRDFEVuQUo"
},
"yt": {
"orderbook_open": "1156406",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_orderbook_tx_signature": "5jusmzBJ2ZdQeo4Q8Z1GRofdQdwDFa9xy78F7KvkwhFpwzLvG3TpyF2HJ67DRGY9NQV8kYeCF83f3QeiW3gEHDf8"
},
"sy": {
"orderbook_open": "1",
"orderbook_filled": "17590",
"last_updated_at": "2026-09-28T12:41:45.812993",
"last_orderbook_tx_signature": "5hf5gSDi3veq7LcqcbAoXQoyJ6EkUMkMau4C4oH8EbWJ4xeyULoqzJyCvmf5pGgJ6GfDr9TuKmeDT5JajPQYeCSz"
}
},
"F5eXBP2su63JctLDnbzAQ7HvLdFKz2aZqrywiUW2a2vs": {
"pt": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"yt": {
"orderbook_open": "2354729707",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_orderbook_tx_signature": "9UatEsZ3b7brka9937nUzNgrvnueTtCVwNaqcBzp3oyt6cEoR2zmm1jiJ6HrN2dGrDtaEC58TTWenCre4f2jHvi"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
}
}
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Balances
Wallet order book balances in a vault
Retrieve wallets with non-zero open or filled PT, YT, or SY orderbook balances in a vault.
GET
/
balances
/
user
/
orderbook
cURL
curl 'https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH'
import requests
response = requests.get("https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"8Y7ApemW5UHzczZNYHW3tU4yZZjML8ho87i1dnf7kvw7": {
"pt": {
"orderbook_open": "0",
"orderbook_filled": "102713",
"last_updated_at": "2026-10-14T15:10:13.725+00:00",
"last_orderbook_tx_signature": "2TSF6o2w8z6DkdKovB9zdpw5nvexL6jiTWyXsagX3EjVgsZ8YwEopjrrZ8n5SzHbFiREr7h8nmRCt7WRDFEVuQUo"
},
"yt": {
"orderbook_open": "1156406",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_orderbook_tx_signature": "5jusmzBJ2ZdQeo4Q8Z1GRofdQdwDFa9xy78F7KvkwhFpwzLvG3TpyF2HJ67DRGY9NQV8kYeCF83f3QeiW3gEHDf8"
},
"sy": {
"orderbook_open": "1",
"orderbook_filled": "17590",
"last_updated_at": "2026-09-28T12:41:45.812993",
"last_orderbook_tx_signature": "5hf5gSDi3veq7LcqcbAoXQoyJ6EkUMkMau4C4oH8EbWJ4xeyULoqzJyCvmf5pGgJ6GfDr9TuKmeDT5JajPQYeCSz"
}
},
"F5eXBP2su63JctLDnbzAQ7HvLdFKz2aZqrywiUW2a2vs": {
"pt": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"yt": {
"orderbook_open": "2354729707",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_orderbook_tx_signature": "9UatEsZ3b7brka9937nUzNgrvnueTtCVwNaqcBzp3oyt6cEoR2zmm1jiJ6HrN2dGrDtaEC58TTWenCre4f2jHvi"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
}
}
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Query parameters
string
required
Vault address.
cURL
curl 'https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH'
import requests
response = requests.get("https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/balances/user/orderbook?vault=Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"8Y7ApemW5UHzczZNYHW3tU4yZZjML8ho87i1dnf7kvw7": {
"pt": {
"orderbook_open": "0",
"orderbook_filled": "102713",
"last_updated_at": "2026-10-14T15:10:13.725+00:00",
"last_orderbook_tx_signature": "2TSF6o2w8z6DkdKovB9zdpw5nvexL6jiTWyXsagX3EjVgsZ8YwEopjrrZ8n5SzHbFiREr7h8nmRCt7WRDFEVuQUo"
},
"yt": {
"orderbook_open": "1156406",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_orderbook_tx_signature": "5jusmzBJ2ZdQeo4Q8Z1GRofdQdwDFa9xy78F7KvkwhFpwzLvG3TpyF2HJ67DRGY9NQV8kYeCF83f3QeiW3gEHDf8"
},
"sy": {
"orderbook_open": "1",
"orderbook_filled": "17590",
"last_updated_at": "2026-09-28T12:41:45.812993",
"last_orderbook_tx_signature": "5hf5gSDi3veq7LcqcbAoXQoyJ6EkUMkMau4C4oH8EbWJ4xeyULoqzJyCvmf5pGgJ6GfDr9TuKmeDT5JajPQYeCSz"
}
},
"F5eXBP2su63JctLDnbzAQ7HvLdFKz2aZqrywiUW2a2vs": {
"pt": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"yt": {
"orderbook_open": "2354729707",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_orderbook_tx_signature": "9UatEsZ3b7brka9937nUzNgrvnueTtCVwNaqcBzp3oyt6cEoR2zmm1jiJ6HrN2dGrDtaEC58TTWenCre4f2jHvi"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
}
}
}
{
"error": "<message>"
}
{
"error": "<message>"
}